{: test that passing an array to a conformant array parameter
   with incorrect bounds causes a fatal error }

{$d+}
program e101( output );

type
   smallInt =  1..10;

var
   a : array[0..10] of integer;

procedure test(aa : array[lo..hi : smallInt] of integer);
var
   aa1 : array[smallInt] of integer;
   z   : smallInt;
begin
   z := lo;
   aa[z] := 3;
   aa[hi] := 3;
   writeln( 'fails: conformant array bounds error is not detected' );
end;
begin {e101}

   test(a);

end. { e101 }

